Bug 122538 - EDITING Table - Index Design: Index isn't sortable any more
Summary: EDITING Table - Index Design: Index isn't sortable any more
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Database-Tables
  Show dependency treegraph
 
Reported: 2019-01-07 16:38 UTC by Robert Großkopf
Modified: 2019-05-22 17:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Description with screenshots for this bug (55.11 KB, application/pdf)
2019-01-07 16:38 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2019-01-07 16:38:03 UTC
Created attachment 148105 [details]
Description with screenshots for this bug

Open the attached *.pdf-document. Will show how to get the right dialogue for this bug.

Open a database.
Open a table for editing.
Open the index design.

Here you could create new indexes for fields of the table.
With LO 5.1.5.2 (and earlier versions) you could choose fields for the index and the sorting order for the index.
With LO 6.1.4.2 and LO 6.2.0.1 you could only choose fields. There is a scrollbar at the bottom, but it scrolls to nowhere ... The dialogue couldn't be resized to get the index-sorting. Seems it has been gone by changing the GUI here.
Comment 1 Xisco Faulí 2019-01-07 22:49:50 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3208fcb3a36d75d6290d9c548430682f153b09db

author	Julien Nabet <serval2412@yahoo.fr>	2018-09-13 22:57:58 +0200
committer	Julien Nabet <serval2412@yahoo.fr>	2018-09-20 23:06:41 +0200
commit	3208fcb3a36d75d6290d9c548430682f153b09db (patch)
tree	af6d363ce1d2aaffa3e2c479c5f79909ba1d1ba5
parent	2739dee0eab2edbba898cb7115579e43ea89399d (diff)
tdf#119743: add Features entries in Properties block Drivers.xcu
in order to save special options of a database file.

Bisected with: bibisect-linux64-6.2

Adding Cc: to Julien Nabet
Comment 2 Julien Nabet 2019-01-08 08:08:57 UTC
Thank you Xisco for adding me to cc.
I'll try to find some time to reproduce this.

Lionel: just wondering if we should just put AddIndexAppendix https://opengrok.libreoffice.org/xref/core/connectivity/registry/hsqldb/org/openoffice/Office/DataAccess/Drivers.xcu to "true".

If we're looking at the  present situation:
- odbc: true
- dbase: false
- jdbc:
   pure jdbc: true
   Oracle jdbc: false
- hsqldb (properties and features): false
- Mysql:
  - native: true
  - jdbc: true
  - odbc: true
Comment 3 Julien Nabet 2019-05-21 20:30:19 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I submitted a patch to gerrit here:
https://gerrit.libreoffice.org/#/c/72701/

It concerns only hsqldb.

About Firebird, I don't reproduce this.
I noticed there's no AddIndexAppendix quotation in Drivers.xcu from Firebird part, see https://opengrok.libreoffice.org/xref/core/connectivity/registry/firebird/org/openoffice/Office/DataAccess/Drivers.xcu?r=9b6906bb
Comment 4 Commit Notification 2019-05-22 13:08:19 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ff251f4adb4f6addcabf14eedf8d014ca76dfefa%5E%21

tdf#122538: add index appendix for hsqldb

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2019-05-22 13:11:11 UTC
For 6.2 branch, the patch has been submitted on gerrit, see https://gerrit.libreoffice.org/#/c/72777/.

The patch concerns only hsqldb. If there's a regression for another type of DB, I'll be able to submit patch with "Related to..."
Comment 6 Commit Notification 2019-05-22 16:51:43 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/0cc10a995bda44ea6680efd2083761f4441280f4%5E%21

tdf#122538: add index appendix for hsqldb

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.